Subject: Re: [patch net-next v3 13/13] net: expose devlink port over rtnetlink

From: Jakub Kicinski <[email-masked]>
Date: Wed, 2 Nov 2022 09:28:45 -0700

On Wed, 2 Nov 2022 16:59:28 +0100 Jiri Pirko wrote:
> Wed, Nov 02, 2022 at 04:52:49PM CET, [email-masked] wrote:
> >On Wed, 2 Nov 2022 16:37:00 +0100 Jiri Pirko wrote:  
> >> Or, even better, move RTnetlink to generic netlink. Really, there is no
> >> point to have it as non-generic netlink forever. We moved ethtool there,
> >> why not RTnetlink?  
> >
> >As a rewrite?  We could plug in the same callbacks into a genl family
> >but the replies / notifications would have different headers depending
> >on the socket type which gets hairy, no?  
> 
> I mean like ethtool, completely side iface, independent, new attrs etc.
> We can start with NetdevNetlink for example. Just cover netdev part of
> RTNetlink. That is probably most interesting anyway.

That came up in conversations about the YAML specs. Major effort but
may be worth doing.